import TreeDataPool from "@/Pool/TreeData";
import DataStackPool from "@/Pool/dataStack"
import DataPool from "@/Pool/PollData"
import VideoManageData from "@/Pool/VideoManageData";
import TaskMange from '@/Pool/TaskMange'

/* eslint-disable */
const onlyTreeDataPool = new TreeDataPool
const onlyDataStack = new DataStackPool
const onlyDataPool = new DataPool
const onlyVideoManageData = new VideoManageData
const onlyTaskMange = new TaskMange

const mixin = {
  data() {
    return {
      TreeDataPool: onlyTreeDataPool,
      DataStackPool: onlyDataStack,
      VideoManageData: onlyVideoManageData,
      TaskMange: onlyTaskMange,
      PollData: onlyDataPool
    };
  },
};
export default mixin;